## class OutputFile : public File

> Output file class.

## Inheritance:

### Public Methods

  | OutputFile ()
  virtual | ~OutputFile ()
  void | Open (const string* file)
  void | Close ()
  bool | Good ()
  OutputFile& | operator<< (const char* )
  OutputFile& | operator<< (char)
  OutputFile& | operator<< (unsigned char)
  OutputFile& | operator<< (short)
  OutputFile& | operator<< (unsigned short)
  OutputFile& | operator<< (int)
  OutputFile& | operator<< (unsigned int)
  OutputFile& | operator<< (long)
  OutputFile& | operator<< (unsigned long)
  OutputFile& | operator<< (float)
  OutputFile& | operator<< (double)
  OutputFile& | operator<< (string)
  OutputFile& | operator<< (Point)

### Inherited from File:

### Public Methods

const string* GetFileName()

### Protected Methods

bool IsOpened()

## Documentation

> Output file class.

`OutputFile()`

`virtual ~OutputFile()`

`void Open(const string* file)`

`void Close()`

`bool Good()`

`OutputFile& operator<<(const char* )`

`OutputFile& operator<<(char)`

`OutputFile& operator<<(unsigned char)`

`OutputFile& operator<<(short)`

`OutputFile& operator<<(unsigned short)`

`OutputFile& operator<<(int)`

`OutputFile& operator<<(unsigned int)`

`OutputFile& operator<<(long)`

`OutputFile& operator<<(unsigned long)`

`OutputFile& operator<<(float)`

`OutputFile& operator<<(double)`

`OutputFile& operator<<(string)`

`OutputFile& operator<<(Point)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de